Package pyplusplus :: Package function_transformers :: Module controllers :: Class variable_t

# type variable_t

source code

    object --+
             |
            variable_t

defines C++ variable

Instance Methods

__init__(self, type, name, initialize_expr=`'````'`) | source code

declare_var_string(self) | source code

Properties
| name variable name
| type variable type
| initialize_expr inirialize expression

Method Details

### __init__(self, type, name, initialize_expr=`'````'`)
(Constructor)

source code

Parameters:
  - `type` (instance of pygccxml.declarations.type_t) - type of the variable
  - `name` - name( str ) of the variable
  - `initialize_expr` - an expression that initialize the variable
Overrides: object.__init__

Property Details

### name

variable name

### type

variable type

### initialize_expr

inirialize expression